
QGIS Application - Bug report #990

Geoprocessing/Buffer features plug-in - various defects: i18n, PG connection leak, fails to load 

buffer layer

2008-03-13 05:28 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11050

Description

    -  Needs internationalization

    -  [[PostgreSQL]] connection left hanging on cancel or failure to buffer

    -  sometimes fails to load the buffer layer table when requested - seems to depend on the user

    -  "Buffer distance in map units" box should accept negative numbers; it is valid to do negative buffers, at least on polygons

    -  should show schemas the user has CREATE privilege on

    -  the geometry column needs to be "shape" - anything else fails

History

#1 - 2008-03-13 05:41 PM - Gary Sherman

This plugin is a third-party plugin. The developers may not see this bug report.

#2 - 2008-03-14 12:43 AM - Horst Düster

Replying to [comment:1 gsherman]:

This plugin is a third-party plugin. The developers may not see this bug report.

In the meantime there exists two plugins which offers buffering of geometries. 

 1. The C++ Geoprocessing Plugin delivered with QGIS

 2. The third party python plugin "Geoprocessing"

Which plugin do you mean?

#3 - 2008-03-14 06:21 PM - Steven Mizuno

Replying to [comment:2 hdus]:

Replying to [comment:1 gsherman]:
This plugin is a third-party plugin. The developers may not see this bug report.

In the meantime there exists two plugins which offers buffering of geometries. 

1. The C++ Geoprocessing Plugin delivered with QGIS

2. The third party python plugin "Geoprocessing"

Which plugin do you mean?

I was referring to the C++ Geoprocessing Plugin delivered with QGIS (qgspggeoprocessing.cpp)

#4 - 2008-03-15 05:15 AM - Horst Düster

In priciple we should decide whether we keep the C++ plugin in the QGIS distribution or not. I believe that my new Geoprocessing plugin is much more

flexible due to use of all OGR and [[PostGIS]] data sources. It is not neccessary to have two plugins doing the same.

#5 - 2008-08-27 09:58 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

the c++ plugin was removed

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

2024-04-27 2/2


